Skip to main content
GET
List payment methods for buyer
This endpoint requires the payment-methods.read or embed scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

buyer_id
string

Filters the results to only the items for which the buyer has an id that matches this value.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

buyer_external_identifier
string

Filters the results to only the items for which the buyer has an external_identifier that matches this value.

Example:

"user-12345"

country
string

Filters the results to only the items which support this country code. A country is formatted as 2-letter ISO country code.

Example:

"US"

currency
string

Filters the results to only the items which support this currency code. A currency is formatted as 3-letter ISO currency code.

Example:

"USD"

sort_by
enum<string>

Used by the payment method filter to sort the results by an specific usage field. Set of fields to order results.

Available options:
last_used_at,
usage_count,
cit_last_used_at,
cit_usage_count
Example:

"last_used_at"

order_by
enum<string>
default:desc

Used to show the results ascending or descending order. Ordering direction for the results.

Available options:
asc,
desc
Example:

"desc"

Response

Returns a list of available payment methods for a buyer, filtered by the given currency and country code.

A list of stored payment methods in summarized format.

items
Payment Method (Summary) · object[]

A list of stored payment methods in summarized format.